document.processed.success

Fired when a document has been successfully processed and is ready for extraction or standardization.

Payload
const
enum
required

eventType is always 'document.processed.success' for this event.

Allowed:
string
required

Unique identifier of the document.

string
required

Unique identifier of the job.

string
Defaults to null

The dataset to which the document belongs.

integer
required

Number of pages in the document.

string
Defaults to null

The name of the file as submitted by the user. This is not guaranteed to be unique.

string
Defaults to null

The type of the file.

string
Defaults to null

The file extension of the document, e.g., 'pdf', 'jpg', 'png'.

string
Defaults to null

The full text extracted from the document.

metadata
object

Metadata associated with the originally submitted document

boolean
Defaults to null

True if the text field was omitted due to payload size limits. Use GET /document/{documentId} to fetch the full text.

LoadingLoading…